# RustWeldingError

    public enum RustWeldingError : Error

Undocumented

- `genericError(message:)`

  Undocumented

  #### Declaration

  Swift

      case genericError(message: String)

- `dataDbInitFailed(message:)`

  Undocumented

  #### Declaration

  Swift

      case dataDbInitFailed(message: String)

- `dataDbNotEmpty`

  Undocumented

  #### Declaration

  Swift

      case dataDbNotEmpty

- `saplingSpendParametersNotFound`

  Undocumented

  #### Declaration

  Swift

      case saplingSpendParametersNotFound

- `malformedStringInput`

  Undocumented

  #### Declaration

  Swift

      case malformedStringInput

- `noConsensusBranchId(height:)`

  Undocumented

  #### Declaration

  Swift

      case noConsensusBranchId(height: Int32)

- `unableToDeriveKeys`

  Undocumented

  #### Declaration

  Swift

      case unableToDeriveKeys

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.